org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class BulkheadClientForValidation

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.BulkheadClientForValidation

    @RequestScoped
    public class BulkheadClientForValidation
    extends Object

A client to demonstrate the validation of the value on @Bulkhead

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`BulkheadClientForValidation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadClientForValidation

    public BulkheadClientForValidation()

### Method Detail

#### serviceA

    @Bulkhead(value=-1)
    public Connection serviceA()